﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Test.aspx.cs" Inherits="IGGridVScrollbarIssue.Test" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script>
        $('#grid1').live('iggridrendered', function (evt, ui) {
            var temp = "@Model.selectedRow";
            if (temp != null) {
                $("#grid1").igGridFiltering('filter', ([{ fieldName: "rowID", expr: temp, cond: "equals" }]));
            }
        });

        $(function () {
            $("#splitter").igSplitter({
                height: "86%",
                orientation: "horizontal",
                panels: [{ collapsible: true }, { size: 200, collapsed: false, collapsible: true }],
                resizeEnded: function (evt, ui) {
                    var $tabs = $('#tabs').tabs();
                    var selected = $tabs.tabs('option', 'selected');
                    if (selected == 0) {
                        $('#TabDiv').resize();
                    }
                },

                expanded: function (evt, ui) {
                    var $tabs = $('#tabs').tabs();
                    var selected = $tabs.tabs('option', 'selected');
                    if (selected == 0) {
                        $('#TabDiv').resize();
                    }
                },

                collapsed: function (evt, ui) {
                    var $tabs = $('#tabs').tabs();
                    var selected = $tabs.tabs('option', 'selected');
                    if (selected == 0) {
                        $('#TabDiv').resize();
                    }
                }
            });
        });

        $(function () {
            $("#tabs").tabs({
                select: function (event, ui) {
                    if (ui.index == 0) {
                        $('#TabDiv').resize();
                    }
                },
                beforeLoad: function (event, ui) {
                    ui.jqXHR.error(function () {
                        ui.panel.html("Couldn't load this tab. We'll try to fix this as soon as possible.");
                    });
                }
            });
        });

        $("#grid1").live("iggriddatarendered", function (evt, ui) {
            $('#grid1 tr').each(function () {
                if ($(this)[0].cells[6].textContent == "Cond1" && $(this)[0].cells[10].textContent == "ValueA")
                    $(this).addClass("cssStyleClassA");
                if ($(this)[0].cells[6].textContent == "Cond1" && $(this)[0].cells[10].textContent == " ValueB")
                    $(this).addClass("cssStyleClassB");
                if ($(this)[0].cells[6].textContent == "Cond1" && $(this)[0].cells[10].textContent == " ValueC")
                    $(this).addClass("cssStyleClassC");
            })
        });
    </script>
</head>
<body style="overflow: hidden">
    <div id="splitter">
        <div class="MainGridDiv">
            @(Html.Infragistics().Grid<modeltype>(Model.List.AsQueryable()).ID("grid1")
                   .AutoGenerateColumns(false)
                   .Columns(column =>
                   {
                       column.For(x => x.col1).Hidden(true).Column.Key="rowID";
                       column.For(x => x.col2);
                       column.For(x => x.col3);
                       column.For(x => x.col4);
                       column.For(x => x.col5);
                       column.For(x => x.col6);
                       column.For(x => x.col7);
                       column.For(x => x.col8);
                       column.For(x => x.col9);
                       column.For(x => x.col10);
                       column.For(x => x.col11);
                       column.For(x => x.col12);
                   })

                   .Features(features =>
                    {
                        features.Sorting().Type(OpType.Local);
                        features.Paging().Type(OpType.Local).PageSize(25).PageSizeDropDownLocation("hidden");                             
                        features.Selection().MultipleSelection(false).AddClientEvent("rowSelectionChanged","changeTabs");
                        features.RowSelectors();
                        features.Filtering().Mode(FilterMode.Advanced);
                    })
                   .Height("100%")
                   .DataSourceUrl(Url.Action("PagingGetData"))
                   .DataBind().Render())
        </div>

        <div class="TabDiv" id="TabDiv">
            <div id="tabs">
                <ul>
                    <li>
                        <a href="#tabs-1">Tab 1</a>
                    </li>
                    <li>
                        <a href="#tabs-2">Tab 2</a>
                    </li>
                </ul>
                <div id="tabs-1">
                    //Content
                </div>
                <div id="tabs-2">
                    //Content
                </div>
            </div>
        </div>
    </div>
</body>
<script type="text/javascript">
    function changeTabs(event, args) {
        //Handle changing tab content based on selected row.
    }
</script>
</html>
